From 4cbd8ced5c6d4e803ad188fb89d2d2c29dd53b7c Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Aug 10 2016 19:37:26 +0000
Subject: [PATCH 623/1001] Force int idx for notification routes.


- To be consistent with other routes, force idx to be an int.
- Update SavedNotification tests to expect this

---

diff --git a/hubs/app.py b/hubs/app.py
index 43f32a6..17b56ad 100755
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -568,8 +568,8 @@ def notifications(user):
             dict(notification=notification.__json__(), success=True)
         )
 
-@app.route('/<user>/notifications/<idx>', methods=['DELETE'])
-@app.route('/<user>/notifications/<idx>/', methods=['DELETE'])
+@app.route('/<user>/notifications/<int:idx>', methods=['DELETE'])
+@app.route('/<user>/notifications/<int:idx>/', methods=['DELETE'])
 @login_required
 def delete_notifications(user, idx):
     notification = session.query(hubs.models.SavedNotification).filter_by(idx=idx).first()
diff --git a/hubs/tests/test_api/test_notifications.py b/hubs/tests/test_api/test_notifications.py
index 6706031..74acdc1 100644
--- a/hubs/tests/test_api/test_notifications.py
+++ b/hubs/tests/test_api/test_notifications.py
@@ -111,11 +111,11 @@ class TestDeleteNotifications(hubs.tests.APPTest):
 
         self.assertIsNone(notification)
 
-    def test_400_on_bad_idx(self):
+    def test_404_on_bad_idx(self):
         idx = 'thisisastringnotanint'
 
         with hubs.tests.auth_set(app, self.user):
             resp = self.app.delete(
                 '/{}/notifications/{}/'.format(self.user.username, idx)
             )
-        self.assertEqual(resp.status_code, 400)
+        self.assertEqual(resp.status_code, 404)

